inherited dmCustomers: TdmCustomers
  OldCreateOrder = True
  Left = 281
  Top = 156
  Height = 452
  Width = 622
  object Customer: TQuery
    BeforeDelete = CustomerBeforeDelete
    AfterScroll = CustomerAfterScroll
    OnNewRecord = CustomerNewRecord
    DatabaseName = 'DBModel'
    RequestLive = True
    SQL.Strings = (
      'SELECT'
      '*'
      'FROM'
      'Customer')
    Left = 16
    Top = 8
    object CustomerCustNo: TFloatField
      FieldName = 'CustNo'
      Origin = 'DBMODEL."customer.DB".CustNo'
      Visible = False
    end
    object CustomerCompany: TStringField
      FieldName = 'Company'
      Origin = 'DBMODEL."customer.DB".Company'
      Size = 30
    end
    object CustomerAddr1: TStringField
      DisplayLabel = 'Address Line 1'
      FieldName = 'Addr1'
      Origin = 'DBMODEL."customer.DB".Addr1'
      Size = 30
    end
    object CustomerAddr2: TStringField
      DisplayLabel = 'Address Line 2'
      FieldName = 'Addr2'
      Origin = 'DBMODEL."customer.DB".Addr2'
      Size = 30
    end
    object CustomerCity: TStringField
      FieldName = 'City'
      Origin = 'DBMODEL."customer.DB".City'
      Size = 15
    end
    object CustomerState: TStringField
      FieldName = 'State'
      Origin = 'DBMODEL."customer.DB".State'
    end
    object CustomerZip: TStringField
      DisplayLabel = 'Zip/Postcode'
      FieldName = 'Zip'
      Origin = 'DBMODEL."customer.DB".Zip'
      Size = 10
    end
    object CustomerCountry: TStringField
      FieldName = 'Country'
      Origin = 'DBMODEL."customer.DB".Country'
    end
    object CustomerPhone: TStringField
      FieldName = 'Phone'
      Origin = 'DBMODEL."customer.DB".Phone'
      Size = 15
    end
    object CustomerFAX: TStringField
      FieldName = 'FAX'
      Origin = 'DBMODEL."customer.DB".FAX'
      Size = 15
    end
    object CustomerTaxRate: TFloatField
      DisplayLabel = 'Tax Rate'
      FieldName = 'TaxRate'
      Origin = 'DBMODEL."customer.DB".TaxRate'
    end
    object CustomerContact: TStringField
      FieldName = 'Contact'
      Origin = 'DBMODEL."customer.DB".Contact'
    end
    object CustomerLastInvoiceDate: TDateTimeField
      DisplayLabel = 'Last Invoice Date'
      FieldName = 'LastInvoiceDate'
      Origin = 'DBMODEL."customer.DB".LastInvoiceDate'
    end
  end
  object Orders: TQuery
    BeforeDelete = OrdersBeforeDelete
    AfterScroll = OrdersAfterScroll
    OnNewRecord = OrdersNewRecord
    DatabaseName = 'DBModel'
    RequestLive = True
    SQL.Strings = (
      'SELECT'
      '*'
      'FROM'
      'Orders'
      'WHERE'
      'CustNo = :CustNo')
    Left = 16
    Top = 64
    ParamData = <
      item
        DataType = ftFloat
        Name = 'CustNo'
        ParamType = ptUnknown
        Size = 8
      end>
    object OrdersOrderNo: TFloatField
      DisplayLabel = 'Order No'
      FieldName = 'OrderNo'
      Origin = 'DBMODEL."orders.DB".OrderNo'
    end
    object OrdersCustNo: TFloatField
      FieldName = 'CustNo'
      Origin = 'DBMODEL."orders.DB".CustNo'
      Visible = False
    end
    object OrdersSaleDate: TDateTimeField
      DisplayLabel = 'Sale Date'
      FieldName = 'SaleDate'
      Origin = 'DBMODEL."orders.DB".SaleDate'
      OnValidate = OrdersSaleDateValidate
    end
    object OrdersShipDate: TDateTimeField
      DisplayLabel = 'Ship Date'
      FieldName = 'ShipDate'
      Origin = 'DBMODEL."orders.DB".ShipDate'
      OnValidate = OrdersShipDateValidate
    end
    object OrdersEmpNo: TIntegerField
      DisplayLabel = 'Employee No'
      FieldName = 'EmpNo'
      Origin = 'DBMODEL."orders.DB".EmpNo'
    end
    object OrdersShipToContact: TStringField
      DisplayLabel = 'ShipTo Contact'
      FieldName = 'ShipToContact'
      Origin = 'DBMODEL."orders.DB".ShipToContact'
    end
    object OrdersShipToAddr1: TStringField
      DisplayLabel = 'ShipTo Addr1'
      FieldName = 'ShipToAddr1'
      Origin = 'DBMODEL."orders.DB".ShipToAddr1'
      Size = 30
    end
    object OrdersShipToAddr2: TStringField
      DisplayLabel = 'ShipTo Addr2'
      FieldName = 'ShipToAddr2'
      Origin = 'DBMODEL."orders.DB".ShipToAddr2'
      Size = 30
    end
    object OrdersShipToCity: TStringField
      DisplayLabel = 'ShipTo City'
      FieldName = 'ShipToCity'
      Origin = 'DBMODEL."orders.DB".ShipToCity'
      Size = 15
    end
    object OrdersShipToState: TStringField
      DisplayLabel = 'ShipTo State'
      FieldName = 'ShipToState'
      Origin = 'DBMODEL."orders.DB".ShipToState'
    end
    object OrdersShipToZip: TStringField
      DisplayLabel = 'ShipTo Zip'
      FieldName = 'ShipToZip'
      Origin = 'DBMODEL."orders.DB".ShipToZip'
      Size = 10
    end
    object OrdersShipToCountry: TStringField
      DisplayLabel = 'ShipTo Country'
      FieldName = 'ShipToCountry'
      Origin = 'DBMODEL."orders.DB".ShipToCountry'
    end
    object OrdersShipToPhone: TStringField
      DisplayLabel = 'ShipTo Phone'
      FieldName = 'ShipToPhone'
      Origin = 'DBMODEL."orders.DB".ShipToPhone'
      Size = 15
    end
    object OrdersShipVIA: TStringField
      DisplayLabel = 'Ship VIA'
      FieldName = 'ShipVIA'
      Origin = 'DBMODEL."orders.DB".ShipVIA'
      Size = 7
    end
    object OrdersPO: TStringField
      FieldName = 'PO'
      Origin = 'DBMODEL."orders.DB".PO'
      Size = 15
    end
    object OrdersTerms: TStringField
      FieldName = 'Terms'
      Origin = 'DBMODEL."orders.DB".Terms'
      Size = 6
    end
    object OrdersPaymentMethod: TStringField
      DisplayLabel = 'Payment Method'
      FieldName = 'PaymentMethod'
      Origin = 'DBMODEL."orders.DB".PaymentMethod'
      Size = 7
    end
    object OrdersItemsTotal: TCurrencyField
      DisplayLabel = 'Items Total'
      FieldName = 'ItemsTotal'
      Origin = 'DBMODEL."orders.DB".ItemsTotal'
    end
    object OrdersTaxRate: TFloatField
      DisplayLabel = 'Tax Rate'
      FieldName = 'TaxRate'
      Origin = 'DBMODEL."orders.DB".TaxRate'
    end
    object OrdersFreight: TCurrencyField
      FieldName = 'Freight'
      Origin = 'DBMODEL."orders.DB".Freight'
    end
    object OrdersAmountPaid: TCurrencyField
      DisplayLabel = 'Amount Paid'
      FieldName = 'AmountPaid'
      Origin = 'DBMODEL."orders.DB".AmountPaid'
    end
  end
  object Items: TQuery
    AfterScroll = ItemsAfterScroll
    OnNewRecord = ItemsNewRecord
    DatabaseName = 'DBModel'
    RequestLive = True
    SQL.Strings = (
      'SELECT'
      '*'
      'FROM'
      'Items'
      'WHERE'
      'OrderNo = :OrderNo')
    Left = 16
    Top = 120
    ParamData = <
      item
        DataType = ftFloat
        Name = 'OrderNo'
        ParamType = ptUnknown
        Size = 8
      end>
    object ItemsOrderNo: TFloatField
      DisplayLabel = 'Order No'
      FieldName = 'OrderNo'
      Origin = 'DBMODEL."items.DB".OrderNo'
    end
    object ItemsItemNo: TFloatField
      DisplayLabel = 'Item No'
      FieldName = 'ItemNo'
      Origin = 'DBMODEL."items.DB".ItemNo'
    end
    object ItemsPartNo: TFloatField
      DisplayLabel = 'Part No'
      FieldName = 'PartNo'
      Origin = 'DBMODEL."items.DB".PartNo'
      OnChange = ItemsPartNoChange
    end
    object ItemsQty: TIntegerField
      DisplayLabel = 'Quantity'
      FieldName = 'Qty'
      Origin = 'DBMODEL."items.DB".Qty'
    end
    object ItemsDiscount: TFloatField
      FieldName = 'Discount'
      Origin = 'DBMODEL."items.DB".Discount'
    end
  end
  object Parts: TQuery
    AfterOpen = PartsAfterOpen
    DatabaseName = 'DBModel'
    SQL.Strings = (
      'SELECT'
      '*'
      'FROM'
      'parts'
      'WHERE'
      'PartNo = :PartNo')
    Left = 16
    Top = 176
    ParamData = <
      item
        DataType = ftFloat
        Name = 'PartNo'
        ParamType = ptUnknown
      end>
    object PartsPartNo: TFloatField
      FieldName = 'PartNo'
      Origin = 'DBMODEL."parts.DB".PartNo'
    end
    object PartsVendorNo: TFloatField
      FieldName = 'VendorNo'
      Origin = 'DBMODEL."parts.DB".VendorNo'
    end
    object PartsDescription: TStringField
      FieldName = 'Description'
      Origin = 'DBMODEL."parts.DB".Description'
      Size = 30
    end
    object PartsOnHand: TFloatField
      FieldName = 'OnHand'
      Origin = 'DBMODEL."parts.DB".OnHand'
    end
    object PartsOnOrder: TFloatField
      FieldName = 'OnOrder'
      Origin = 'DBMODEL."parts.DB".OnOrder'
    end
    object PartsCost: TCurrencyField
      FieldName = 'Cost'
      Origin = 'DBMODEL."parts.DB".Cost'
    end
    object PartsListPrice: TCurrencyField
      FieldName = 'ListPrice'
      Origin = 'DBMODEL."parts.DB".ListPrice'
    end
  end
  object Vendors: TQuery
    DatabaseName = 'DBModel'
    SQL.Strings = (
      'SELECT'
      '*'
      'FROM'
      'vendors'
      'WHERE'
      'VendorNo = :VendorNo')
    Left = 16
    Top = 232
    ParamData = <
      item
        DataType = ftInteger
        Name = 'VendorNo'
        ParamType = ptUnknown
        Value = '3511'
      end>
    object VendorsVendorNo: TFloatField
      DisplayLabel = 'Vendor No'
      FieldName = 'VendorNo'
      Origin = 'DBMODEL."vendors.DB".VendorNo'
    end
    object VendorsVendorName: TStringField
      DisplayLabel = 'Vendor Name'
      FieldName = 'VendorName'
      Origin = 'DBMODEL."vendors.DB".VendorName'
      Size = 30
    end
    object VendorsAddress1: TStringField
      FieldName = 'Address1'
      Origin = 'DBMODEL."vendors.DB".Address1'
      Size = 30
    end
    object VendorsAddress2: TStringField
      FieldName = 'Address2'
      Origin = 'DBMODEL."vendors.DB".Address2'
      Size = 30
    end
    object VendorsCity: TStringField
      FieldName = 'City'
      Origin = 'DBMODEL."vendors.DB".City'
    end
    object VendorsState: TStringField
      FieldName = 'State'
      Origin = 'DBMODEL."vendors.DB".State'
    end
    object VendorsZip: TStringField
      FieldName = 'Zip'
      Origin = 'DBMODEL."vendors.DB".Zip'
      Size = 10
    end
    object VendorsCountry: TStringField
      FieldName = 'Country'
      Origin = 'DBMODEL."vendors.DB".Country'
      Size = 15
    end
    object VendorsPhone: TStringField
      FieldName = 'Phone'
      Origin = 'DBMODEL."vendors.DB".Phone'
      Size = 15
    end
    object VendorsFAX: TStringField
      FieldName = 'FAX'
      Origin = 'DBMODEL."vendors.DB".FAX'
      Size = 15
    end
    object VendorsPreferred: TBooleanField
      FieldName = 'Preferred'
      Origin = 'DBMODEL."vendors.DB".Preferred'
    end
  end
end
