unit ufrmItems;

interface

uses
  Windows
  , Messages
  , SysUtils
  , Variants
  , Classes
  , Graphics
  , Controls
  , Forms
  , Dialogs
  , ufrmBase
  , DB
  , DBActns
  , ActnList
  , ImgList
  , Grids
  , DBGrids
  , ComCtrls
  , ToolWin
  , StdCtrls
  , Mask
  , DBCtrls
  , udmItems
  ;

type
  TfrmItems = class(TfrmBase)
    Label2: TLabel;
    Label3: TLabel;
    DBEdit2: TDBEdit;
    Label4: TLabel;
    DBEdit3: TDBEdit;
    DBLookupComboBox1: TDBLookupComboBox;
    DSPartsLookup: TDataSource;
    cmdDone: TButton;
    DSVendor: TDataSource;
    Label5: TLabel;
    DBText1: TDBText;
    Label6: TLabel;
    DBText2: TDBText;
    DSParts: TDataSource;
    Label7: TLabel;
    DBText3: TDBText;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }

    FDMItems: TdmItems;

  protected

    procedure SetDM(const Value: TDataModule); override;

  public
    { Public declarations }
  end;

{var
  frmItems: TfrmItems;}

implementation

uses
  udmCustomers
  ;

{$R *.dfm}

{ TfrmItems }

procedure TfrmItems.SetDM(const Value: TDataModule);
begin
  // Point to the relevant dataset & open it
  if Value is TdmCustomers then
  begin
    inherited;
    DSMain.DataSet := TdmCustomers(Value).Items;
    DSParts.DataSet := TdmCustomers(Value).Parts;
    DSVendor.DataSet := TdmCustomers(Value).Vendors;
    if not TdmCustomers(Value).Items.Active then
      TdmCustomers(Value).Items.Open;
  end;
end;

procedure TfrmItems.FormCreate(Sender: TObject);
begin
  inherited;
  // Create a data module for the parts lookup list
  FDMItems := TdmItems.Create(Self);
  DSPartsLookup.DataSet := FDMItems.PartsLookup;
  if not FDMItems.PartsLookup.Active then
    FDMItems.PartsLookup.Open;
end;

end.
